Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlBoolean

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  XmlBooleanImpl, XmlBooleanRestriction

    public interface XmlBoolean

extends XmlAnySimpleType

Corresponds to the XML Schema xs:boolean type.

Naturally, convertible to Java boolean.

Nested Class Summary
`static class` | `XmlBoolean.Factory` A class with methods for creating instances of `XmlBoolean`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`boolean` | `booleanValue()` Deprecated. replaced by `getBooleanValue()`
`boolean` | `getBooleanValue()` Returns this value as a boolean
`void` | `set(boolean v)` Deprecated. replaced by `setBooleanValue(boolean)`
`void` | `setBooleanValue(boolean v)` Sets this value as a boolean

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### booleanValue

    boolean booleanValue()

  Deprecated. replaced by `getBooleanValue()`

  Returns this value as a boolean

### set

    void set(boolean v)

  Deprecated. replaced by `setBooleanValue(boolean)`

  Sets this value as a boolean

### getBooleanValue

    boolean getBooleanValue()

  Returns this value as a boolean

### setBooleanValue

    void setBooleanValue(boolean v)

  Sets this value as a boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD